{% extends 'base.html.twig' %}

{% block title %}VLBP - Les news{% endblock %}

{% block body %}
<!-- Titre -->
<div class="container-fluid bg-news titre-deal">
    <div class="container py-5">
        <h1 class="text-center text-white">Les News</h1>
        <p>Retrouvez toutes les actualités de votre ville, de votre département ou de votre pays dans cette catégorie
            News. Articles écrit pas nos administrateur</p>
    </div>
</div>

<!-- Liste News -->

<div class="container-fluid bg-white">
    <div class="container">
        {% for news in news %}
        <div class="row bg-perso p-3 mt-3">
            <div class="col-2">
                <img src="{{ asset('/upload/news/' ~ news.image ) }}" alt="" class="img-fluid img-news">
            </div>

            <div class="col-9 shadow-sm p-3 mb-5 bg-white rounded text-white">
                <h2 class="text-dark">{{ news.titre }}</h2>
                <h5 class="text-center titre-news"><a href="{{ path('news-detail', {'slug': news.id}) }}"></a></h5>
                <div class="bloc-news text-secondary">{{ news.texte|raw }}</div><a
                    href="{{ path('news-detail', {'slug': news.id}) }}">voir la suite</a>
                <div class="text-right text-secondary">
                    <span> Publié le {{news.CreatedAt | date("d/m/y")}}</span>
                </div>
            </div>

        </div>
        {% endfor %}
    </div>
    <div id="pagination">
        {{knp_pagination_render(news)}}
</div>
</div>

{% endblock %}

{% block javascripts %}
<script>
    $(window).on('load', function () {
        var h = 0;
        $('.bg-cont').each(function () {
            if ($(this).height() > h) h = $(this).height();
          // console.log("height", $(this).height());
        });
        //console.log("h=>",h);
        $('.bg-cont').height(h);
    })

</script>


<script>
    $(".bloc-news").each(function () {
        console.log("ici");
        var texte = $(this).html();
        var tf = texte.substring(0, 300);
        $(this).html(tf);
    })

</script>
{% endblock %}